package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.giftCard.AgentMachine;
import com.iamberry.wechat.core.entity.giftCard.GiftCardInfo;

/**
 * 物流信息（tb_iamberry_agent_machine）Mapper
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	LJK
 * @date	2017年2月16日
 */
public interface AgentMachineMapper {
	
	/**
	 * 新增物流信息
	 * @param agentMachine
	 * @return
	 */
	public Integer insertAgentMachine(AgentMachine agentMachine);
	/**
	 * 根据物流记录ID查询物流信息（代理商赠送机器记录）
	 * @param agentMachine
	 * @return
	 */
	public AgentMachine selectAgentMachine(Integer agentMachineId);
	
	/**
	 * 修改物流信息状态
	 * @param agentMachine
	 * @return
	 */
	public Integer updateAgentMachine(AgentMachine agentMachine);
	
	/**
	 * 查询所有物流信息（代理商赠送机器记录）
	 * @param agentMachine
	 * @return
	 */
	public List<AgentMachine> selectAllAgentMachine(AgentMachine agentMachine); 
	
	/**
	 * 查询所有物流信息（代理商赠送机器记录）总数
	 * @param agentMachine
	 * @return
	 */
	public Integer selectAllAgentMachineCount(AgentMachine agentMachine);
	
	/**
	 * 根据openid查询所有物流信息（代理商赠送机器记录）
	 * @param agentMachine
	 * @return
	 */
	public List<AgentMachine> selectAllAgentMachineById(AgentMachine agentMachine); 
	
	/**
	 * 根据openid查询所有物流信息（代理商赠送机器记录）总数
	 * @param agentMachine
	 * @return
	 */
	public Integer selectAllAgentMachineByIdCount(AgentMachine agentMachine);

	/**
	 * 根据物流记录ID与openid查询物流信息（确认该机器是否属于当前用户）
	 * @param agentMachine
	 * @return
	 */
	Integer selectAgentMachineByOpenId(AgentMachine agentMachine);
	
}
